Aplicaciones instaladas
Listar workspaces para una app instalada
Devuelve una lista paginada de observaciones a nivel de Workspace para la app instalada seleccionada en el alcance de la organización.
GET
/
v2
/
organizations
/
{organization_id}
/
installed-apps
/
{installed_app_id}
/
workspaces
Listar workspaces para una app instalada
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"workspace_id": "64f0c2a1b2d3e4f5060708f1",
"organization_id": "507f1f77bcf86cd799439011",
"version": "124.0.2478.97",
"reported_at": "2026-01-15T10:20:30.000Z",
"install_location": "C:\\Program Files\\ExampleApp",
"installed_at": "2025-12-01T08:00:00.000Z"
}
]
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
Identificador de organización.
Required string length:
24Pattern:
^[0-9a-f]{24}$Identificador de app instalada.
Required string length:
24Pattern:
^[0-9a-f]{24}$Parámetros de consulta
Número de página.
Rango requerido:
x >= 1Número de elementos por página.
Rango requerido:
1 <= x <= 100Nombres de campos de elementos de respuesta separados por comas para incluir.
Maximum string length:
2048Expresión de filtro JSON sobre rutas de campos de respuesta filtrables.
Maximum string length:
5120Expresión de ordenamiento con el formato :asc|desc.
Pattern:
^(workspace_id|organization_id|version|reported_at|install_location|installed_at):(asc|desc)$⌘I
Listar workspaces para una app instalada
curl --request GET \
--url https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.flexxible.net/v2/organizations/{organization_id}/installed-apps/{installed_app_id}/workspaces")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"has_next": true,
"data": [
{
"workspace_id": "64f0c2a1b2d3e4f5060708f1",
"organization_id": "507f1f77bcf86cd799439011",
"version": "124.0.2478.97",
"reported_at": "2026-01-15T10:20:30.000Z",
"install_location": "C:\\Program Files\\ExampleApp",
"installed_at": "2025-12-01T08:00:00.000Z"
}
]
}